Weird error when installing yarv on OS X

Am I the only to get this rather weird error when trying to run “make
install”
in the build directory of a svn-extracted yarv tree?

It always fails when trying to regen the ri docs. It started to happen a
few
revisions ago.

ruby 2.0.0 (Base: Ruby 1.9.0 2006-04-08) [powerpc-darwin8.7.0]
YARVCore 0.4.1 Rev: 525 (2006-07-18) [opts: [direct threaded code]
[inline method cache] ]


Generating RDoc documentation
./miniruby …/runruby.rb --extout=.ext – “…/bin/rdoc” --all --ri --op
“/usr/local/share/ri/2.0/system” “…”
warning: Insecure world writable dir /Volumes, mode 041777
“./ruby …/bin/rdoc --all --ri --op /usr/local/share/ri/2.0/system …”
…/runruby.rb:62:in exec': Operation not supported - ./ruby ../bin/rdoc --all --ri --op /usr/local/share/ri/2.0/system .. (Errno::EOPNOTSUPP) from ../runruby.rb:62:in
make: *** [do-install-doc] Error 1

Thanks.

“O” == Ollivier R. [email protected] writes:

O> Am I the only to get this rather weird error when trying to run “make
install”
O> in the build directory of a svn-extracted yarv tree?

no,

O> …/runruby.rb:62:in `exec’: Operation not supported - ./ruby
…/bin/rdoc --all --ri --op /usr/local/share/ri/2.0/system …
(Errno::EOPNOTSUPP)

See

http://www.atdot.net/~ko1/w3ml/w3ml.cgi/yarv-dev-en/msg/147

apparently problem specific to “la chose”

Guy Decoux

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs